config/routes.rb
Rails.application.routes.draw do
  resources :challenges do
    resources :votes, only: [:create, :destroy], shallow: true
    resources :collaborations, only: [:create, :destroy], shallow: true
  end
  devise_for :emps
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  root "challenges#index"
  get "pages/", to: "pages#index"
end

app/views/shared/_footer.html.erb
<!-- Footer -->
<footer class="bg-light text-center text-lg-start bg-dark border-top footer">
  <!-- Copyright -->
  <div class="text-center p-3">
    
    <a class="text-light" href="#"></a>
    <%= link_to "© 2020 Copyright:Dinesh Gujar", root_path, class:"text-light"%>
  </div>
  <!-- Copyright -->
</footer>
<!-- Footer -->

app/views/shared/_navbar.html.erb
<nav class="navbar navbar-expand-lg navbar-dark bg-dark text-center border-bottom">
  
  <%=link_to "Hackthon",root_path, class: "navbar-brand"%>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarText">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        
      </li> 
      <li class="nav-item">
      </li>
      <li class="nav-item">
      </li>
    </ul>
    <span class="navbar-text mr-2">
    <%if current_emp%>
      <%= link_to destroy_emp_session_path, method: :delete, class:"btn btn-danger " do  %>
        <i class="fa fa-power-off" aria-hidden="true">&nbspLogout</i>
        <%end%>
    <% else %>
      <%= link_to new_emp_session_path,class:"btn btn-primary" do %>
        <i class="fa fa-sign-in" aria-hidden="true">&nbsp Log in</i>
        <%end %>
      <% end %>
    </span>
  </div>
</nav>